%define ver_major 2.4

Name: yelp
Version: %ver_major.2
Release: alt1

Summary: Lightwight help browser for GNOME
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define ORBit_ver 2.8.2
%define libgnome_ver 2.4.0
%define libgnomeui_ver 2.4.0
%define libbonoboui_ver 2.4.0
%define libxslt_ver 1.0.23
%define gnome_vfs_ver 2.4.1
%define libgtkhtml_ver 2.4.0

Requires: libORBit2 >= %ORBit_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libxslt >= %libxslt_ver
Requires: libgtkhtml2 >= %libgtkhtml_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver

BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libxslt-devel >= %libxslt_ver
BuildPreReq: libgtkhtml2-devel >= %libgtkhtml_ver
BuildPreReq: gnome-common

# Automatically added by buildreq on Tue Sep 09 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bzlib-devel esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel indent libGConf2-devel libIDL libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgail-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libgtkhtml2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel libxslt-devel pkgconfig zlib-devel

%description
Yelp is GNOME's lightweight help browser for GNOME 2.0. It's display
capabilities are based on GTKHTML 2, and it takes extensive advantage
of the Scrollkeeper metadata system.

%define _libexecdir %_libdir/%name

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_menudir
cat << __MENU__ > %buildroot%_menudir/%name
?package(%name): needs="x11" section="Documentation" \
title="Gnome Help System" icon="gnome-help.png" longtitle="Get Help with Gnome" \
command="%_bindir/yelp"
__MENU__

# yelp-pregenerate macro
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/rpm/macros.d/%name
%%_yelp_pregenerate_bin %%_bindir/yelp-pregenerate
%%yelp_pregenerate() \\
for h in %%*; do \\
    if [ -x %%_yelp_pregenerate_bin ]; then \\
	%%_yelp_pregenerate_bin \\
	%%_datadir/gnome/help/\$h/*/*.xml >/dev/null 2>&1 \\
    fi \\
done \\
%%nil
__EOF__

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/buildreqs/files/ignore.d/%name
^%_sysconfdir/rpm/macros.d/%name$
__EOF__

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%dir %_libexecdir
%_libexecdir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/images/*
%_datadir/%name
%_datadir/sgml/docbook/*
%_menudir/*
%_sysconfdir/buildreqs/files/ignore.d/%name
%config %_sysconfdir/rpm/macros.d/%name
%doc AUTHORS ChangeLog README NEWS TODO

%changelog
* Tue Nov 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Tue Sep 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- 1.0.6
- Group changed.

* Fri Jun 21 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt1
- New version
- Fix Requires and BuildPreReq section
- Fix files section
- Cosmetic changes spec

* Wed Jun 19 2002 Igor Androsov <blake@altlinux.ru> 1.0-alt1
- Initial build for AltLinux
- Added make_build
- Added Icons for Menu
- Added menu file

* Sun May 19 2002 Igor Androsov <blace@mail.ru> 0.7.0-blk1
- New version from CVS
- Created spec
